## org.apache.xpath
Interface XPathFactory

public interface XPathFactory

Factory class for creating an XPath. Implementors of XPath derivatives will need to make a derived class of this.

Usage:
  **For advanced use only**

Method Summary
`XPath` `create(java.lang.String exprString, SourceLocator locator, PrefixResolver prefixResolver, int type)` Create an XPath.

Method Detail

### create

    public XPath create(java.lang.String exprString,
                        SourceLocator locator,
                        PrefixResolver prefixResolver,
                        int type)

  Create an XPath.
  Parameters:
    `exprString` - The XPath expression string.
    `locator` - The location of the expression string, mainly for diagnostic purposes.
    `prefixResolver` - This will be called in order to resolve prefixes to namespace URIs.
    `type` - One of `XPath.SELECT` or `XPath.MATCH`.
  Returns:
    an XPath ready for execution.

Copyright © 2006 Apache XML Project. All Rights Reserved.